Jump to content
Ugochukwu Mmaduekwe

Sending Email via GMail Using OAuth 2.0 via Indy

Recommended Posts

1 hour ago, J23 said:

Thank you very much for your quick reply. Unfortunately, there are many problems:

 

1. {$HPPEMIT LINKUNIT}    - [DCC Error] U_DCS_OAuth2.pas(23): E1030 Invalid compiler directive: 'HPPEMIT'

and uses:

2.   Data.Bind.ObjectScope, - [DCC Fatal Error] U_DCS_OAuth2.pas(31): F1026 File not found: 'Data.Bind.ObjectScope.dcu'

...

3. REST.Client,                     - [DCC Fatal Error] U_DCS_OAuth2.pas(33): F1026 File not found: 'REST.Client.dcu'

and so on.

 

J23

 

Yeah...

 

It appears Delphi 2010 does not have the REST components...

 

Maybe you should try @Remy Lebeau suggestion, use the latest Indy  branch.

 

Good luck!

 

 

Share this post


Link to post

Thank you very much for your quick reply.

12 hours ago, Remy Lebeau said:
15 hours ago, J23 said:


i tried to run @Geoffrey Smith gmailauthsmtp in my Delphi 2010 but failed.

Failed how, exactly?

I've corrected dotted unit names but I don't have REST.Authenticator.OAuth module.

As I wrote before I've tried to install "MARS-master" REST library with no success.

 

12 hours ago, Remy Lebeau said:

You can either turn on 2-Factor Authentication

In fact my problem is with Office365 mail, but I think is similar to Gmail.

I've tried in my home Office365 trial account App-Specific password erlier and it works very well. But my University net admin did not allow 2-Factor Authentication.

12 hours ago, Remy Lebeau said:

install the latest Indy OAuth2 branch code..... and then you can use TIdHTTP to retrieve an access token from Google, and use TIdSASLXOAuth2 to use that token with TIdSMTP/TIdPOP3/TIdIMAP4.

Yesterday I downloaded and installed the latest INDY package, but I didn't notice this version of Oath2. I've installed it today.

I don't know if I can handle the next steps you described. I'm afraid this may not be easy.

I will try.

Thank you again,

J23

Share this post


Link to post
15 hours ago, J23 said:

1. {$HPPEMIT LINKUNIT}    - [DCC Error] U_DCS_OAuth2.pas(23): E1030 Invalid compiler directive: 'HPPEMIT'

That directive was introduced in XE5.

Share this post


Link to post
13 hours ago, J23 said:

Yesterday I downloaded and installed the latest INDY package, but I didn't notice this version of Oath2. I've installed it today.

I don't know if I can handle the next steps you described. I'm afraid this may not be easy.

I will try.

What exactly are you having trouble with?

Share this post


Link to post
12 hours ago, Remy Lebeau said:

What exactly are you having trouble with?

I do not know yet. The problem will certainly appear right after the start of programming ;-). I need to start by reading the documentation. An example that works even in the worst way guarantees success.

 

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×